Subject: events on connection

From: Dan Elbert <[email-masked]>
Date: Mon, 16 Oct 2000 11:26:47 -0400

Hi all
in MGCP is possible to apply signals and detect events on a connection as
opposed to on an endpoint.
What is the equivalent in MEGACO ? Applying the signals/events on an
ephemeral termination ? Or is this not possible ?

Thanks

Dan Elbert
RADVISION

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 17 Oct 2000 10:16:07 -0400

> "In some cases, Call Agents will request the gateway to generate or
> detect events on connections rather than on the end point itself.  For
> example, gateways may be asked to provide a ringback tone on a connec-
> tion.  When an event shall be applied on a connection, the name of the
> connection is added to the name of the event, using an "at"
> sign (@) as
> a delimiter, as in:
>
>      G/rt@0A3F58
> "
>
> What do you think ?
> This correspond to MEGACO events in ephemeral terminations,
> or just regular
> events on physical terminations ?
I was always confused my MGCP in this regard.

If the originating end is the MG, and the terminating end is across the
network, then ringback is provided to the ephemeral (e.g. RTP) termination.

I'm not sure that the "connection" is, in all cases, the ephemeral.  The
ephemeral represents the network side (e,g. RTP) side of the context.  If
that's what you want the signal/event on, then yes, the ephemeral
termination
is what you want.

Brian